=== debian/changelog ===
instead (3.5.0) unstable; urgency=low
  * 3.5.0 release;

 -- Peter Kosyh <pkosyh@yandex.ru>  Sat, 27 Aug 2022 11:07:00 +0300

instead (3.4.1) unstable; urgency=low
  * 3.4.1 release;

 -- Peter Kosyh <p.kosyh@gmail.com>  Wed, 08 Sep 2021 21:33:00 +0300

instead (3.4.0) unstable; urgency=low
  * 3.4.0 release;

 -- Peter Kosyh <p.kosyh@gmail.com>  Tue, 31 Sep 2021 12:38:00 +0300

instead (3.3.4) unstable; urgency=low
  * 3.3.4 release;

 -- Peter Kosyh <p.kosyh@gmail.com>  Wed, 24 Mar 2021 09:11:00 +0300

instead (3.3.3) unstable; urgency=low
  * 3.3.3 release;

 -- Peter Kosyh <p.kosyh@gmail.com>  Wed, 20 Jan 2021 16:00:00 +0300

instead (3.3.2) unstable; urgency=low
  * 3.3.2 build fix release;

 -- Peter Kosyh <p.kosyh@gmail.com>  Sun, 19 Apr 2020 11:00:00 +0300

instead (3.3.1) unstable; urgency=low
  * 3.3.1 build fix release;

 -- Peter Kosyh <p.kosyh@gmail.com>  Fri, 4 Oct 2019 18:21:00 +0300

instead (3.3.0) unstable; urgency=low
  * 3.3.0 release;

 -- Peter Kosyh <p.kosyh@gmail.com>  Fri, 8 Mar 2019 09:28:00 +0300

instead (3.2.2) unstable; urgency=low
  * 3.2.2 release;

 -- Peter Kosyh <p.kosyh@gmail.com>  Sat, 1 Sep 2018 09:21:00 +0300

instead (3.2.1) unstable; urgency=low
  * 3.2.1 release;

 -- Peter Kosyh <p.kosyh@gmail.com>  Sun, 22 Apr 2018 13:34:00 +0300

instead (3.2.0) unstable; urgency=low
  * 3.2.0 release;

 -- Peter Kosyh <p.kosyh@gmail.com>  Fri, 9 Feb 2018 21:07:00 +0300

instead (3.1.2) unstable; urgency=low
  * 3.1.2 release;

 -- Peter Kosyh <p.kosyh@gmail.com>  Mon, 21 Aug 2017 16:45:00 +0300

instead (3.1.1) unstable; urgency=low
  * 3.1.1 release;

 -- Peter Kosyh <p.kosyh@gmail.com>  Mon, 21 Aug 2017 08:50:00 +0300

instead (3.1.0) unstable; urgency=low
  * 3.1.0 release;

 -- Peter Kosyh <p.kosyh@gmail.com>  Sun, 20 Aug 2017 10:16:00 +0300

instead (3.0.1) unstable; urgency=low
  * 3.0.1 release;

 -- Peter Kosyh <p.kosyh@gmail.com>  Wed, 24 May 2017 21:03:00 +0300

instead (3.0.0) unstable; urgency=low
  * 3.0.0 release;

 -- Peter Kosyh <p.kosyh@gmail.com>  Wed, 19 Apr 2017 17:45:00 +0300
