## instead 3.5.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 ENDIF("${PROJECT_SOURCE_DIR}" STREQUAL "${PROJECT_BINARY_DIR}")
 
 # global constants
-SET(INSTEAD_VERSION "3.5.0")
+SET(INSTEAD_VERSION "3.5.2")
 
 # options
 OPTION(WITH_GTK2 "Use GTK2 file open dialog" OFF)
