=== desktop/CMakeLists.txt ===
IF(SYSTEMWIDE)
	SET(BIN ${CMAKE_INSTALL_PREFIX}/${BINDIR}) # for following CONFIGURE_FILE
	CONFIGURE_FILE(instead.desktop.in instead.desktop)
	INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/instead.desktop DESTINATION ${DESKTOPDIR})
ENDIF(SYSTEMWIDE)
