=== games/CMakeLists.txt ===
SET(GAMES tutorial)

IF(SYSTEMWIDE)
	FOREACH(GAME ${GAMES})
		INSTALL(DIRECTORY ${GAME} DESTINATION ${GAMESDIR} PATTERN ".svn" EXCLUDE)
	ENDFOREACH(GAME)
ELSEIF(STANDALONE)
	FOREACH(GAME ${GAMES})
		INSTALL(DIRECTORY ${GAME} DESTINATION ${STANDALONEDIR}/games PATTERN ".svn" EXCLUDE)
	ENDFOREACH(GAME)
ENDIF(SYSTEMWIDE)
