=== stead/CMakeLists.txt ===
ADD_SUBDIRECTORY(stead2)
ADD_SUBDIRECTORY(stead3)
