=== stead/stead2/CMakeLists.txt ===
FILE(GLOB STEAD_FILES "*.lua")
FILE(GLOB STEAD_EXT_FILES "ext/*.lua")

IF(SYSTEMWIDE)
	INSTALL(FILES ${STEAD_FILES} DESTINATION ${STEADDIR}/stead2)
	INSTALL(FILES ${STEAD_EXT_FILES} DESTINATION ${STEADDIR}/stead2/ext)
ELSEIF(STANDALONE)
	INSTALL(FILES ${STEAD_FILES} DESTINATION ${STANDALONEDIR}/stead/stead2)
	INSTALL(FILES ${STEAD_EXT_FILES} DESTINATION ${STANDALONEDIR}/stead/stead2/ext)
ENDIF(SYSTEMWIDE)
