=== debian/changelog ===
instead (3.5.2+dfsg-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113044)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 20:13:29 +0300

instead (3.5.2+dfsg-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * enable building with libluajit5.1 for riscv64 and loong64 archs

  [ Alexandre Detiste ]
  * remove unused local copy of zlib

 -- Anatoliy Gunya <csm.sub21@gmail.com>  Tue, 31 Dec 2024 21:20:10 +0300

instead (3.5.2+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #1072548).
  * debian/compat: delete it.
  * debian/control:
    - Bump Standards-Version up to 4.7.0.
    - Refresh build dependencies:
      - use debhelper-compat (= 13) instead of debhelper;
      - use libluajit5.1 for supported arches;
      - build with libharfbuzz.
  * debian/copyrigh:
    - describe excluded files;
    - update years;
    - remove unneeded license texts.
  * debian/rules: update build options.
  * debian/watch: repack orig to exclude unneeded files.

 -- Anatoliy Gunya <csm.sub21@gmail.com>  Thu, 26 Sep 2024 02:48:38 +0300
