=== debian/control ===
Source: instead
Section: games
Priority: optional
Maintainer: Sam Protsenko <joe.skb7@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 dpkg-dev (>= 1.16.1~),
 pkgconf,
 cmake (>= 2.6.0),
 zlib1g-dev,
 libgtk-3-dev,
 libharfbuzz-dev,
 libluajit-5.1-dev [amd64 arm64 armel armhf i386 mips64el mipsel s390x powerpc riscv64 loong64],
 liblua5.1-0-dev [!amd64 !arm64 !armel !armhf !i386 !mips64el !mipsel !s390x !powerpc !riscv64 !loong64],
 libsdl2-dev,
 libsdl2-image-dev,
 libsdl2-mixer-dev,
 libsdl2-ttf-dev,
Standards-Version: 4.7.0
Homepage: https://instead-hub.github.io/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/games-team/instead.git
Vcs-Browser: https://salsa.debian.org/games-team/instead

Package: instead
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, instead-data (= ${source:Version})
Suggests: instead-doc-en | instead-doc-ru
Description: Simple text adventures/visual novels engine
 INSTEAD -- INterpreter of Simple TExt ADventure.
 Using INSTEAD you can create and play games that could be classified
 as a mix of visual novel and text quest.
 .
 Features:
   * Simple story source code (Lua-based script)
   * GUI interface that supports music and pictures
   * Theme support
   * Portability (INSTEAD depends on SDL and Lua)
 .
 Game repository: https://instead-hub.github.io/page/games/

Package: instead-data
Architecture: all
Depends: ${misc:Depends}, fonts-liberation
Recommends: instead
Description: Data files for INSTEAD
 INSTEAD -- INterpreter of Simple TExt ADventure.
 Using INSTEAD you can create and play games that could be classified
 as a mix of visual novel and text quest.
 .
 Features:
   * Simple story source code (Lua-based script)
   * GUI interface that supports music and pictures
   * Theme support
   * Portability (INSTEAD depends on SDL and Lua)
 .
 This package contains language files, graphical themes, STEAD scripts
 and tutorial.

Package: instead-doc-common
Section: doc
Architecture: all
Depends: ${misc:Depends}
Replaces: instead-doc-base
Conflicts: instead-doc-base
Description: Common documentation for INSTEAD
 This package contains base documentation (common for all languages).
 .
 At the moment this contains only examples for developer's manual.
 These examples (written in Lua) demonstrate how to implement
 common features when you write a game for INSTEAD.

Package: instead-doc-en
Section: doc
Architecture: all
Depends: ${misc:Depends}, instead-doc-common (= ${source:Version})
Description: English documentation for INSTEAD
 This package contains game developer manual and examples in English.
 Manual describes basic API in Lua and how to create games for INSTEAD engine.
 .
 Complete and latest documentation is only available in Russian, and even
 though its English counterpart is being translated and maintained, it may lag
 behind a little bit.

Package: instead-doc-ru
Section: doc
Architecture: all
Depends: ${misc:Depends}, instead-doc-common (= ${source:Version})
Description: Russian documentation for INSTEAD
 This package contains game developer manual and examples in Russian.
 Manual describes basic API in Lua and how to create games for INSTEAD engine.
 .
 Russian documentation is complete and up to date, so it's preferred to use it.
